<?php

namespace ocrSpace;
require_once WD . '/modules/ocrSpace/config/ocrSpace_enabled_c.php';
require_once WD . '/modules/ocrSpace/config/ocrSpace_api_key_c.php';

use ocrSpace\config\ocrSpace_enabled_c;
use ocrSpace\config\ocrSpace_api_key_c;
use traits\module_config_t;

class ocrSpace_c
{
    use module_config_t;

    /**
     * The status of ocrSpace, whether it is enabled or not
     * @var ocrSpace_enabled_c
     */
    public ocrSpace_enabled_c $enabled;
    /**
     * The API key for ocrSpace
     * @var ocrSpace_api_key_c
     */
    public ocrSpace_api_key_c $api_key;

    public function __construct()
    {
        $this->setupConfig('ocrSpace');
        $this->allowUpdate([
            ocrSpace_enabled_c::class,
            ocrSpace_api_key_c::class,
        ]);
        $this->enabled = new ocrSpace_enabled_c();
        $this->api_key = new ocrSpace_api_key_c();
    }
}